@use './variable' as *;

.wrapper {
  max-width: 1440px;
  margin: 0 auto;
}

.container {
  max-width: 1170px;
  margin: 0 auto;
  padding: 0 15px;
}

body {
  line-height: 1;
  font-family: $font;
  color: $text-color;
  font-weight: 400;
  background-color: #fff;
}

button {
  cursor: pointer;
  outline: none;
  border: none;
  font-family: $font;
}

.button {
  display: inline-block;
  padding: 13px 45px;
  border-radius: 100rem;
  font-family: $font;
  line-height: 1;
  font-size: $font-size--medium;
  cursor: pointer;
  border: none;
  outline: none;
  text-align: center;
  white-space: nowrap;

  &--primary {
    font-weight: 700;
    background-color: $primary-color;
    color: #fff;
    position: relative;

    // &:after {
    //   content: "";
    //   position: absolute;
    //   top: 0;
    //   left: 50%; // default :after's original position is centered at element (for clarivity and use with transform, left: 50% is used here)
    //   height: 100%;
    //   width: 90%;
    //   transform: translate(
    //     -50%,
    //     50%
    //   ); // need to translateX -50% to be always center at the element

    //   background: rgba(245, 56, 56, 0.35);
    //   filter: blur(54px);
    //   border-radius: 10px;
    //   z-index: -1;
    // }
  }

  &--outlined {
    background-color: transparent;
    color: $primary-color;
    font-weight: 500;
    border: 1px solid;
  }

  &--rounded {
    font-weight: 700;
    background-color: $primary-color;
    color: #fff;
    border-radius: 10px;
    padding: 17px 65px;
    position: relative;

    // &:after {
    //   content: "";
    //   position: absolute;
    //   top: 0;
    //   left: 50%; // default :after's original position is centered at element (for clarivity and use with transform, left: 50% is used here)
    //   height: 100%;
    //   width: 90%;
    //   transform: translate(
    //     -50%,
    //     50%
    //   ); // need to translateX -50% to be always center at the element

    //   background: rgba(245, 56, 56, 0.35);
    //   filter: blur(54px);
    //   border-radius: 10px;
    //   z-index: -1;
    // }
  }

  &--shadow {
    position: relative;

    &:after {
      content: '';
      position: absolute;
      top: 0;
      left: 50%;
      height: 100%;
      width: 90%;
      transform: translate(-50%, 50%);

      background: rgba(245, 56, 56, 0.35);
      filter: blur(54px);
      border-radius: 10px;
      z-index: 10;
    }
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: $heading-color;
  font-weight: bold;
}

.boxed {
  max-width: 555px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

@media screen and (max-width: 767px) {
  .button {
    padding: 13px 26px;
  }
}
